package java.beans;

import java.net.URL;
import java.applet.AppletContext;
import java.applet.Applet;
import java.applet.AppletStub;

class BeansAppletStub implements AppletStub
{
    transient boolean active;
    transient Applet target;
    transient AppletContext context;
    transient URL codeBase;
    transient URL docBase;
    
    BeansAppletStub(Applet target, AppletContext context, URL codeBase, URL docBase) {
        this.target = target;
        this.context = context;
        this.codeBase = codeBase;
        this.docBase = docBase;
    }
    
    @Override
    public boolean isActive() {
        return this.active;
    }
    
    @Override
    public URL getDocumentBase() {
        return this.docBase;
    }
    
    @Override
    public URL getCodeBase() {
        return this.codeBase;
    }
    
    @Override
    public String getParameter(String s) {
        return null;
    }
    
    @Override
    public AppletContext getAppletContext() {
        return this.context;
    }
    
    @Override
    public void appletResize(int n, int n2) {
    }
}
